import * as toast from '@zag-js/toast';
export interface ToasterProps extends toast.StoreProps {
    toaster: toast.Store;
    /** Provide base classes for the root element. */
    base?: string;
    /** Provide width classes for the root element. */
    width?: string;
    /** Provide padding classes for the root element. */
    padding?: string;
    /** Provide border radius classes for the root element. */
    rounded?: string;
    /** Provide arbitrary classes for the toast cards. */
    classes?: string;
    /** Provide base classes for the message. */
    messageBase?: string;
    /** Provide classes for the message. */
    messageClasses?: string;
    /** Provide base classes for the title. */
    titleBase?: string;
    /** Provide classes for the title. */
    titleClasses?: string;
    /** Provide base classes for the description. */
    descriptionBase?: string;
    /** Provide classes for the description. */
    descriptionClasses?: string;
    /** Provide base classes for the dismiss button. */
    btnDismissBase?: string;
    /** Provide arbitrary classes for the dismiss button. */
    btnDismissClasses?: string;
    /** Provide base classes for info toasts. */
    stateInfo?: string;
    /** Provide base classes for success toasts. */
    stateSuccess?: string;
    /** Provide base classes for warning toasts. */
    stateWarning?: string;
    /** Provide base classes for error toasts. */
    stateError?: string;
}
export interface ToastProps extends Omit<ToasterProps, 'toaster'> {
    toast: toast.Options;
    index: number;
    parent: toast.GroupService;
}
